<!DOCTYPE html>
<html class="writer-html5" lang="en" >
<head>
  <meta charset="utf-8" />
  <meta name="viewport" content="width=device-width, initial-scale=1.0" />
  <title>lib.plot.label &mdash; RDstar_light  documentation</title>
      <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
      <link rel="stylesheet" href="../../../_static/css/theme.css" type="text/css" />
  <!--[if lt IE 9]>
    <script src="../../../_static/js/html5shiv.min.js"></script>
  <![endif]-->
  
        <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
        <script src="../../../_static/jquery.js"></script>
        <script src="../../../_static/underscore.js"></script>
        <script src="../../../_static/_sphinx_javascript_frameworks_compat.js"></script>
        <script src="../../../_static/doctools.js"></script>
    <script src="../../../_static/js/theme.js"></script>
    <link rel="index" title="Index" href="../../../genindex.html" />
    <link rel="search" title="Search" href="../../../search.html" /> 
</head>

<body class="wy-body-for-nav"> 
  <div class="wy-grid-for-nav">
    <nav data-toggle="wy-nav-shift" class="wy-nav-side">
      <div class="wy-side-scroll">
        <div class="wy-side-nav-search" >
            <a href="../../../index.html" class="icon icon-home"> RDstar_light
          </a>
<div role="search">
  <form id="rtd-search-form" class="wy-form" action="../../../search.html" method="get">
    <input type="text" name="q" placeholder="Search docs" />
    <input type="hidden" name="check_keywords" value="yes" />
    <input type="hidden" name="area" value="default" />
  </form>
</div>
        </div><div class="wy-menu wy-menu-vertical" data-spy="affix" role="navigation" aria-label="Navigation menu">
              <ul>
<li class="toctree-l1"><a class="reference internal" href="../../../lib.html">lib package</a></li>
<li class="toctree-l1"><a class="reference internal" href="../../../scripts.html">scripts.multiple_candidates package</a></li>
</ul>

        </div>
      </div>
    </nav>

    <section data-toggle="wy-nav-shift" class="wy-nav-content-wrap"><nav class="wy-nav-top" aria-label="Mobile navigation menu" >
          <i data-toggle="wy-nav-top" class="fa fa-bars"></i>
          <a href="../../../index.html">RDstar_light</a>
      </nav>

      <div class="wy-nav-content">
        <div class="rst-content">
          <div role="navigation" aria-label="Page navigation">
  <ul class="wy-breadcrumbs">
      <li><a href="../../../index.html" class="icon icon-home"></a> &raquo;</li>
          <li><a href="../../index.html">Module code</a> &raquo;</li>
      <li>lib.plot.label</li>
      <li class="wy-breadcrumbs-aside">
      </li>
  </ul>
  <hr/>
</div>
          <div role="main" class="document" itemscope="itemscope" itemtype="http://schema.org/Article">
           <div itemprop="articleBody">
             
  <h1>Source code for lib.plot.label</h1><div class="highlight"><pre>
<span></span><span class="sd">&quot;&quot;&quot; Module to set the labels of the plots.</span>
<span class="sd">&quot;&quot;&quot;</span>

<span class="kn">from</span> <span class="nn">typing</span> <span class="kn">import</span> <span class="n">Optional</span>

<span class="kn">from</span> <span class="nn">..config</span> <span class="kn">import</span> <span class="n">DICT_FCT_LABELS</span>
<span class="kn">from</span> <span class="nn">..handle.handle_str</span> <span class="kn">import</span> <span class="n">turn_into_latex_friendly</span>

<span class="kn">import</span> <span class="nn">matplotlib</span> <span class="k">as</span> <span class="nn">mpl</span>

<span class="c1"># Import `DICT_COLUMN_LABELS` and `DICT_COLUMN_UNITS` from outside</span>
<span class="c1"># the library</span>
<span class="kn">from</span> <span class="nn">multiple_candidates.definition.labels</span> <span class="kn">import</span> <span class="p">(</span>  <span class="c1"># noqa : F401</span>
    <span class="n">DICT_COLUMN_LABELS</span><span class="p">,</span>
    <span class="n">DICT_COLUMN_UNITS</span>
<span class="p">)</span>


<div class="viewcode-block" id="get_column_label"><a class="viewcode-back" href="../../../lib.plot.html#lib.plot.label.get_column_label">[docs]</a><span class="k">def</span> <span class="nf">get_column_label</span><span class="p">(</span>
        <span class="n">column_label</span><span class="p">:</span> <span class="n">Optional</span><span class="p">[</span><span class="nb">str</span><span class="p">]</span> <span class="o">=</span> <span class="kc">None</span><span class="p">,</span> <span class="n">column</span><span class="p">:</span> <span class="n">Optional</span><span class="p">[</span><span class="nb">str</span><span class="p">]</span> <span class="o">=</span> <span class="kc">None</span>
<span class="p">)</span> <span class="o">-&gt;</span> <span class="n">Optional</span><span class="p">[</span><span class="nb">str</span><span class="p">]:</span>
    <span class="sd">&quot;&quot;&quot; Obtain the column label If ``column`` is provided, but ``column_label``</span>
<span class="sd">    is not given, it will look for it in the</span>
<span class="sd">    dictionnary ``DICT_COLUMN_LABELS`` defined in this file</span>
<span class="sd">    If column contains the caracter ``|``, treats it as a function of a column,</span>
<span class="sd">    using the following pattern : ``{fct_name}|{column}``. The labels</span>
<span class="sd">    of the functions are defined in the :py:mod:`config` module, in the</span>
<span class="sd">    dictionnary ``DICT_FCT_LABELS``.</span>

<span class="sd">    Args:</span>
<span class="sd">        column_label : column label</span>
<span class="sd">        column : column name</span>

<span class="sd">    Returns:</span>
<span class="sd">        either just ``column_label`` if not None,</span>
<span class="sd">        or the label found in the configuration, or ``column`` (if given),</span>
<span class="sd">        or just None if nothing have been found.</span>
<span class="sd">    &quot;&quot;&quot;</span>

    <span class="k">if</span> <span class="n">column_label</span> <span class="ow">is</span> <span class="kc">None</span><span class="p">:</span>
        <span class="k">if</span> <span class="n">column</span> <span class="ow">is</span> <span class="kc">None</span><span class="p">:</span>
            <span class="k">return</span> <span class="kc">None</span>
        <span class="k">else</span><span class="p">:</span>
            <span class="k">if</span> <span class="n">column</span> <span class="ow">not</span> <span class="ow">in</span> <span class="n">DICT_COLUMN_LABELS</span> <span class="ow">and</span> <span class="s1">&#39;|&#39;</span> <span class="ow">in</span> <span class="n">column</span><span class="p">:</span>
                <span class="n">fct_name</span><span class="p">,</span> <span class="n">origin_column</span> <span class="o">=</span> <span class="n">column</span><span class="o">.</span><span class="n">split</span><span class="p">(</span><span class="s1">&#39;|&#39;</span><span class="p">)</span>
                <span class="n">fct_label</span> <span class="o">=</span> <span class="n">DICT_FCT_LABELS</span><span class="o">.</span><span class="n">get</span><span class="p">(</span><span class="n">fct_name</span><span class="p">,</span> <span class="n">fct_name</span><span class="p">)</span>
                <span class="n">origin_column_label</span> <span class="o">=</span> <span class="n">get_column_label</span><span class="p">(</span><span class="n">column</span><span class="o">=</span><span class="n">origin_column</span><span class="p">)</span>
                <span class="k">if</span> <span class="n">callable</span><span class="p">(</span><span class="n">fct_label</span><span class="p">):</span>
                    <span class="k">return</span> <span class="n">fct_label</span><span class="p">(</span><span class="n">origin_column_label</span><span class="p">)</span>
                <span class="k">else</span><span class="p">:</span>
                    <span class="k">return</span> <span class="sa">f</span><span class="s2">&quot;</span><span class="si">{fct_label}</span><span class="s2"> (</span><span class="si">{origin_column}</span><span class="s2">))&quot;</span>
            <span class="k">else</span><span class="p">:</span>
                <span class="k">return</span> <span class="n">DICT_COLUMN_LABELS</span><span class="o">.</span><span class="n">get</span><span class="p">(</span>
                    <span class="n">column</span><span class="p">,</span> <span class="n">turn_into_latex_friendly</span><span class="p">(</span><span class="n">column</span><span class="p">)</span>
                <span class="p">)</span>
    <span class="k">else</span><span class="p">:</span>
        <span class="k">return</span> <span class="n">column_label</span></div>


<div class="viewcode-block" id="get_column_unit"><a class="viewcode-back" href="../../../lib.plot.html#lib.plot.label.get_column_unit">[docs]</a><span class="k">def</span> <span class="nf">get_column_unit</span><span class="p">(</span>
    <span class="n">unit</span><span class="p">:</span> <span class="n">Optional</span><span class="p">[</span><span class="nb">str</span><span class="p">]</span> <span class="o">=</span> <span class="kc">None</span><span class="p">,</span> <span class="n">column</span><span class="p">:</span> <span class="n">Optional</span><span class="p">[</span><span class="nb">str</span><span class="p">]</span> <span class="o">=</span> <span class="kc">None</span>
<span class="p">)</span> <span class="o">-&gt;</span> <span class="n">Optional</span><span class="p">[</span><span class="nb">str</span><span class="p">]:</span>
    <span class="sd">&quot;&quot;&quot; Obtain the column unit If ``column`` is provided, but ``unit``</span>
<span class="sd">    is not given, it will look for it in the</span>
<span class="sd">    dictionnary ``DICT_COLUMN_UNITS`` defined in the configuration file.</span>

<span class="sd">    Args:</span>
<span class="sd">        column_unit : column unit</span>
<span class="sd">        column : column name</span>
<span class="sd">    Returns:</span>
<span class="sd">        either just `column_unit`` if not ``None``, \</span>
<span class="sd">        or the unit found in the configuration, or just ``None``</span>
<span class="sd">    &quot;&quot;&quot;</span>

    <span class="k">if</span> <span class="n">unit</span> <span class="ow">is</span> <span class="kc">None</span> <span class="ow">and</span> <span class="p">(</span><span class="n">column</span> <span class="ow">is</span> <span class="ow">not</span> <span class="kc">None</span><span class="p">)</span> <span class="ow">and</span> <span class="p">(</span><span class="n">column</span> <span class="ow">in</span> <span class="n">DICT_COLUMN_UNITS</span><span class="p">):</span>
        <span class="k">return</span> <span class="n">DICT_COLUMN_UNITS</span><span class="p">[</span><span class="n">column</span><span class="p">]</span>
    <span class="k">elif</span> <span class="n">unit</span> <span class="ow">is</span> <span class="ow">not</span> <span class="kc">None</span><span class="p">:</span>
        <span class="k">return</span> <span class="n">unit</span>
    <span class="k">else</span><span class="p">:</span>
        <span class="k">return</span> <span class="kc">None</span></div>


<div class="viewcode-block" id="get_column_axis_label"><a class="viewcode-back" href="../../../lib.plot.html#lib.plot.label.get_column_axis_label">[docs]</a><span class="k">def</span> <span class="nf">get_column_axis_label</span><span class="p">(</span>
    <span class="n">column</span><span class="p">:</span> <span class="n">Optional</span><span class="p">[</span><span class="nb">str</span><span class="p">]</span> <span class="o">=</span> <span class="kc">None</span><span class="p">,</span>
    <span class="n">column_label</span><span class="p">:</span> <span class="n">Optional</span><span class="p">[</span><span class="nb">str</span><span class="p">]</span> <span class="o">=</span> <span class="kc">None</span><span class="p">,</span>
    <span class="n">unit</span><span class="p">:</span> <span class="n">Optional</span><span class="p">[</span><span class="nb">str</span><span class="p">]</span> <span class="o">=</span> <span class="kc">None</span>
<span class="p">)</span> <span class="o">-&gt;</span> <span class="nb">str</span><span class="p">:</span>
    <span class="sd">&quot;&quot;&quot; Get the label of the axis where ``column`` is plotted.</span>

<span class="sd">    Args:</span>
<span class="sd">        column : column name</span>
<span class="sd">        column_label : column label</span>
<span class="sd">        unit : column unit</span>

<span class="sd">    Returns:</span>
<span class="sd">        basically returns ``{column_label} [{unit}]``, \</span>
<span class="sd">        or an adapted version of if ``column_label`` or ``unit`` \</span>
<span class="sd">        are not provided. If ``column`` is provided, but ``column_label`` \</span>
<span class="sd">        or ``unit`` is/are not given, it will look for it/them in the \</span>
<span class="sd">        dictionnary ``DICT_COLUMN_LABELS`` and ``DICT_COLUMN_UNITS`` \</span>
<span class="sd">        defined in this file</span>
<span class="sd">    &quot;&quot;&quot;</span>
    <span class="k">if</span> <span class="p">(</span><span class="n">column</span> <span class="ow">is</span> <span class="kc">None</span><span class="p">)</span> <span class="ow">and</span> <span class="p">(</span><span class="n">column_label</span> <span class="ow">is</span> <span class="kc">None</span><span class="p">):</span>
        <span class="k">return</span> <span class="s2">&quot;&quot;</span>

    <span class="n">column_label</span> <span class="o">=</span> <span class="n">get_column_label</span><span class="p">(</span><span class="n">column_label</span><span class="p">,</span> <span class="n">column</span><span class="p">)</span>
    <span class="n">unit</span> <span class="o">=</span> <span class="n">get_column_unit</span><span class="p">(</span><span class="n">unit</span><span class="p">,</span> <span class="n">column</span><span class="p">)</span>

    <span class="k">if</span> <span class="n">unit</span> <span class="ow">is</span> <span class="ow">not</span> <span class="kc">None</span><span class="p">:</span>
        <span class="k">return</span> <span class="n">column_label</span> <span class="o">+</span> <span class="sa">f</span><span class="s2">&quot; [</span><span class="si">{unit}</span><span class="s2">]&quot;</span>
    <span class="k">else</span><span class="p">:</span>
        <span class="k">return</span> <span class="n">column_label</span></div>


<div class="viewcode-block" id="get_counts_label"><a class="viewcode-back" href="../../../lib.plot.html#lib.plot.label.get_counts_label">[docs]</a><span class="k">def</span> <span class="nf">get_counts_label</span><span class="p">(</span>
        <span class="n">density</span><span class="p">:</span> <span class="n">Optional</span><span class="p">[</span><span class="nb">str</span><span class="p">]</span> <span class="o">=</span> <span class="kc">None</span><span class="p">,</span>
        <span class="n">bin_width</span><span class="p">:</span> <span class="n">Optional</span><span class="p">[</span><span class="nb">float</span><span class="p">]</span> <span class="o">=</span> <span class="kc">None</span><span class="p">,</span>
        <span class="n">unit</span><span class="p">:</span> <span class="n">Optional</span><span class="p">[</span><span class="nb">str</span><span class="p">]</span> <span class="o">=</span> <span class="kc">None</span><span class="p">,</span> <span class="n">column</span><span class="p">:</span> <span class="n">Optional</span><span class="p">[</span><span class="nb">str</span><span class="p">]</span> <span class="o">=</span> <span class="kc">None</span><span class="p">)</span> <span class="o">-&gt;</span> <span class="nb">str</span><span class="p">:</span>
    <span class="sd">&quot;&quot;&quot; Return the label of the number of counts (typically for the y-axis)</span>
<span class="sd">    of a one-dimensional histogram.</span>

<span class="sd">    Args:</span>
<span class="sd">        density (str or False/None): 3 kinds of normalisation are possible</span>

<span class="sd">        * ``candidates``: just divide by the total number of counts</span>
<span class="sd">        * ``bin_width``: just divide by the bin width (pretty weird)</span>
<span class="sd">        * ``both`` (or `True`): divide by the total number of counts and \</span>
<span class="sd">        by the bin width</span>

<span class="sd">        bin_width: bin width</span>
<span class="sd">        unit: column unit</span>
<span class="sd">        column: column name, to find the unit in the configuration file if</span>
<span class="sd">            `unit` is not given</span>

<span class="sd">    Returns:</span>
<span class="sd">        label of the number of counts</span>
<span class="sd">    &quot;&quot;&quot;</span>
    <span class="k">if</span> <span class="n">density</span> <span class="o">==</span> <span class="s1">&#39;candidates&#39;</span><span class="p">:</span>
        <span class="n">pre_label</span> <span class="o">=</span> <span class="s2">&quot;Proportion of candidates&quot;</span>
    <span class="k">elif</span> <span class="n">density</span> <span class="o">==</span> <span class="s2">&quot;both&quot;</span> <span class="ow">or</span> <span class="n">density</span> <span class="ow">is</span> <span class="kc">True</span><span class="p">:</span>
        <span class="n">pre_label</span> <span class="o">=</span> <span class="s2">&quot;Density of candidates&quot;</span>
    <span class="k">elif</span> <span class="n">density</span> <span class="o">==</span> <span class="s2">&quot;bin_width&quot;</span><span class="p">:</span>
        <span class="n">pre_label</span> <span class="o">=</span> <span class="s2">&quot;Candidates divided by bin width&quot;</span>
    <span class="k">else</span><span class="p">:</span>
        <span class="n">pre_label</span> <span class="o">=</span> <span class="s2">&quot;Candidates&quot;</span>

    <span class="k">if</span> <span class="p">(</span><span class="n">density</span> <span class="o">==</span> <span class="s2">&quot;all&quot;</span> <span class="ow">or</span> <span class="n">density</span> <span class="o">==</span> <span class="s2">&quot;bin_width&quot;</span><span class="p">):</span>
        <span class="n">unit</span> <span class="o">=</span> <span class="n">get_column_unit</span><span class="p">(</span><span class="n">unit</span><span class="p">,</span> <span class="n">column</span><span class="p">)</span>
        <span class="n">str_unit</span> <span class="o">=</span> <span class="s2">&quot;&quot;</span> <span class="k">if</span> <span class="n">unit</span> <span class="ow">is</span> <span class="kc">None</span> <span class="k">else</span> <span class="n">unit</span>
        <span class="k">return</span> <span class="n">pre_label</span> <span class="o">+</span> <span class="sa">f</span><span class="s2">&quot;/ (</span><span class="si">{bin_width:.3g}</span><span class="s2"> </span><span class="si">{str_unit}</span><span class="s2">)&quot;</span>
    <span class="k">else</span><span class="p">:</span>
        <span class="k">return</span> <span class="n">pre_label</span></div>


<div class="viewcode-block" id="set_label_axis"><a class="viewcode-back" href="../../../lib.plot.html#lib.plot.label.set_label_axis">[docs]</a><span class="k">def</span> <span class="nf">set_label_axis</span><span class="p">(</span><span class="n">ax</span><span class="p">:</span> <span class="n">mpl</span><span class="o">.</span><span class="n">axes</span><span class="o">.</span><span class="n">Axes</span><span class="p">,</span> <span class="n">label</span><span class="p">:</span> <span class="nb">str</span><span class="p">,</span> <span class="n">axis</span><span class="p">:</span> <span class="nb">str</span><span class="p">):</span>
    <span class="sd">&quot;&quot;&quot; Set the label of a plot</span>

<span class="sd">    Args:</span>
<span class="sd">        ax : where to plot</span>
<span class="sd">        label : axis label</span>
<span class="sd">        axis : `x`, `y` or `both` axes</span>
<span class="sd">    &quot;&quot;&quot;</span>
    <span class="k">if</span> <span class="n">axis</span> <span class="o">==</span> <span class="s1">&#39;x&#39;</span> <span class="ow">or</span> <span class="n">axis</span> <span class="o">==</span> <span class="s1">&#39;both&#39;</span><span class="p">:</span>
        <span class="n">ax</span><span class="o">.</span><span class="n">set_xlabel</span><span class="p">(</span><span class="n">label</span><span class="p">)</span>
    <span class="k">if</span> <span class="n">axis</span> <span class="o">==</span> <span class="s1">&#39;y&#39;</span> <span class="ow">or</span> <span class="n">axis</span> <span class="o">==</span> <span class="s1">&#39;both&#39;</span><span class="p">:</span>
        <span class="n">ax</span><span class="o">.</span><span class="n">set_ylabel</span><span class="p">(</span><span class="n">label</span><span class="p">)</span></div>


<div class="viewcode-block" id="set_label_hist"><a class="viewcode-back" href="../../../lib.plot.html#lib.plot.label.set_label_hist">[docs]</a><span class="k">def</span> <span class="nf">set_label_hist</span><span class="p">(</span>
        <span class="n">ax</span><span class="p">:</span> <span class="n">mpl</span><span class="o">.</span><span class="n">axes</span><span class="o">.</span><span class="n">Axes</span><span class="p">,</span> <span class="n">column</span><span class="p">:</span> <span class="n">Optional</span><span class="p">[</span><span class="nb">str</span><span class="p">]</span> <span class="o">=</span> <span class="kc">None</span><span class="p">,</span>
        <span class="n">column_label</span><span class="p">:</span> <span class="n">Optional</span><span class="p">[</span><span class="nb">str</span><span class="p">]</span> <span class="o">=</span> <span class="kc">None</span><span class="p">,</span> <span class="n">unit</span><span class="p">:</span> <span class="n">Optional</span><span class="p">[</span><span class="nb">str</span><span class="p">]</span> <span class="o">=</span> <span class="kc">None</span><span class="p">,</span>
        <span class="n">bin_width</span><span class="p">:</span> <span class="n">Optional</span><span class="p">[</span><span class="nb">float</span><span class="p">]</span> <span class="o">=</span> <span class="kc">None</span><span class="p">,</span>
        <span class="n">density</span><span class="p">:</span> <span class="n">Optional</span><span class="p">[</span><span class="nb">str</span><span class="p">]</span> <span class="o">=</span> <span class="kc">None</span><span class="p">,</span> <span class="n">orientation</span><span class="p">:</span> <span class="nb">str</span> <span class="o">=</span> <span class="s1">&#39;vertical&#39;</span><span class="p">):</span>
    <span class="sd">&quot;&quot;&quot; Set the xlabel and ylabel of a 1D histogram</span>

<span class="sd">    Args:</span>
<span class="sd">        ax: axis where to show the label</span>
<span class="sd">        column: column that is plotted</span>
<span class="sd">        column_label: label of the column</span>
<span class="sd">        unit: unit of the column</span>
<span class="sd">        bin_width: bin width of the histogram</span>
<span class="sd">        density: 3 kinds of normalisation are possible</span>

<span class="sd">        * ``candidates``: just divide by the total number of counts</span>
<span class="sd">        * ``bin_width``: just divide by the bin width (pretty weird)</span>
<span class="sd">        * ``both``: divide by the total number of counts and by the bin width</span>

<span class="sd">        orientation: ``vertical`` or ``horizontal``,</span>
<span class="sd">            orientation of the histogram</span>
<span class="sd">    &quot;&quot;&quot;</span>
    <span class="n">axis</span> <span class="o">=</span> <span class="p">{}</span>
    <span class="k">if</span> <span class="n">orientation</span> <span class="o">==</span> <span class="s1">&#39;vertical&#39;</span><span class="p">:</span>
        <span class="n">axis</span><span class="p">[</span><span class="s1">&#39;x&#39;</span><span class="p">]</span> <span class="o">=</span> <span class="s1">&#39;x&#39;</span>
        <span class="n">axis</span><span class="p">[</span><span class="s1">&#39;y&#39;</span><span class="p">]</span> <span class="o">=</span> <span class="s1">&#39;y&#39;</span>
    <span class="k">elif</span> <span class="n">orientation</span> <span class="o">==</span> <span class="s1">&#39;horizontal&#39;</span><span class="p">:</span>
        <span class="n">axis</span><span class="p">[</span><span class="s1">&#39;x&#39;</span><span class="p">]</span> <span class="o">=</span> <span class="s1">&#39;y&#39;</span>
        <span class="n">axis</span><span class="p">[</span><span class="s1">&#39;y&#39;</span><span class="p">]</span> <span class="o">=</span> <span class="s1">&#39;x&#39;</span>

    <span class="n">set_label_axis</span><span class="p">(</span>
        <span class="n">ax</span><span class="p">,</span>
        <span class="n">label</span><span class="o">=</span><span class="n">get_column_axis_label</span><span class="p">(</span>
            <span class="n">column</span><span class="o">=</span><span class="n">column</span><span class="p">,</span> <span class="n">column_label</span><span class="o">=</span><span class="n">column_label</span><span class="p">,</span> <span class="n">unit</span><span class="o">=</span><span class="n">unit</span>
        <span class="p">),</span>
        <span class="n">axis</span><span class="o">=</span><span class="n">axis</span><span class="p">[</span><span class="s1">&#39;x&#39;</span><span class="p">]</span>
    <span class="p">)</span>

    <span class="n">set_label_axis</span><span class="p">(</span>
        <span class="n">ax</span><span class="p">,</span>
        <span class="n">label</span><span class="o">=</span><span class="n">get_counts_label</span><span class="p">(</span>
            <span class="n">bin_width</span><span class="o">=</span><span class="n">bin_width</span><span class="p">,</span> <span class="n">density</span><span class="o">=</span><span class="n">density</span><span class="p">,</span> <span class="n">unit</span><span class="o">=</span><span class="n">unit</span>
        <span class="p">),</span>
        <span class="n">axis</span><span class="o">=</span><span class="n">axis</span><span class="p">[</span><span class="s1">&#39;y&#39;</span><span class="p">]</span>
    <span class="p">)</span></div>
</pre></div>

           </div>
          </div>
          <footer>

  <hr/>

  <div role="contentinfo">
    <p>&#169; Copyright .</p>
  </div>

  Built with <a href="https://www.sphinx-doc.org/">Sphinx</a> using a
    <a href="https://github.com/readthedocs/sphinx_rtd_theme">theme</a>
    provided by <a href="https://readthedocs.org">Read the Docs</a>.
   

</footer>
        </div>
      </div>
    </section>
  </div>
  <script>
      jQuery(function () {
          SphinxRtdTheme.Navigation.enable(true);
      });
  </script> 

</body>
</html>